Subject: bug#47800: [native-comp] could not resolve realpath of "emacs"

From: Dario Gjorgjevski <[email-masked]>
Date: Fri, 16 Apr 2021 11:37:49 +0200

Hi Andrea,

>> Also, the more I look at the patch I attached above, the worse it seems,
>> so...
>
> Why?

These are the points that make me suspicious:

  1. I am not sure if the subsequent call to Ffind_file_name_handler
     would work correctly.
  2. There is already a search over exec_path happening immediately
     afterwards.
  3. Moreover, I am not sure what real_filename would do when a handler
     is found and raw_name is prefixed by slash-colon.

Best regards,
Dario

-- 
$ keyserver=hkps://hkps.pool.sks-keyservers.net
$ keyid=744A4F0B4F1C9371
$ gpg --keyserver $keyserver --search-keys $keyid